Name:				libraqm
Version:			0.10.1
Release:			1
License:			MIT
Summary:			Complex Textlayout Library
URL:				https://github.com/HOST-Oman/libraqm
Source:				https://github.com/HOST-Oman/libraqm/archive/refs/tags/v0.10.1.tar.gz

BuildRequires:       		meson freetype-devel harfbuzz-devel fribidi-devel gtk-doc gcc

%package docs
Summary:                        Libraqm Documentation
Summary(ar):            	Library Document Number
BuildArch:                      noarch

%package devel
Summary:			Complex Textlayout Library
Requires:			libraqm%{?_isa} = %{version}-%{release}


%description
Library that encapsulates the logic for complex
text layout and provides a convenient API.

%description -l ar
A library for building composite text, introduction
Comfortable software entrance.

%description devel
Library that encapsulates the logic for complex
text layout and provides a convenient API.

%description -l ar devel
A library for building composite text, introduction
Comfortable software entrance.

%description docs
This package contains documentation files for raqm.

%description -l ar docs
Library document number.

%prep
%autosetup -n libraqm-%{version} -p1

%build
%meson -Ddocs=true
%meson_build

%check
export LC_ALL=C.utf8
%meson_test

%install
%meson_install
rm -f %{buildroot}%{_libdir}/*.{la,a}

%ldconfig_scriptlets

%files
%license COPYING
%{_libdir}/libraqm.so.*

%files devel
%license COPYING
%{_includedir}/raqm.h
%{_includedir}/raqm-version.h
%{_libdir}/libraqm.so
%{_libdir}/pkgconfig/raqm.pc

%files docs
%license COPYING
%doc AUTHORS NEWS README.md
%{_datadir}/gtk-doc/html/raqm


%changelog
* Fri Sep 08 2023 Ge Wang <wang__ge@126.com> - 0.10.1-1
- Update to 0.10.1

* Mon Jul 31 2023 houlifei <houlifei@uniontech.com> - 0.8.0-1
- Update to 0.8.0

* Tue Jan 11 2022 wulei <wulei80@huawei.com> - 0.7.0-3
- Fix cursor_position_GB8a.test failure

* Tue Jun 08 2021 wulei <wulei80@huawei.com> - 0.7.0-2
- fixes failed: error: no acceptable C compiler found in $PATH

* Tue Mar 2 2021 wangye <wangye70@huawei.com> - 0.7.0-1
- package init
